wxWidgets: interface/wx/window.h File Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
window.h File Reference

## Classes
struct | wxVisualAttributes
| Struct containing all the visual attributes of a control. More...
class | wxWindow
| wxWindow is the base class for all windows and represents any visible object on screen. More...
class | wxWindow::ChildrenRepositioningGuard
| Helper for ensuring EndRepositioningChildren() is called correctly. More...

## Enumerations
enum | wxShowEffect { wxSHOW_EFFECT_NONE , wxSHOW_EFFECT_ROLL_TO_LEFT , wxSHOW_EFFECT_ROLL_TO_RIGHT , wxSHOW_EFFECT_ROLL_TO_TOP , wxSHOW_EFFECT_ROLL_TO_BOTTOM , wxSHOW_EFFECT_SLIDE_TO_LEFT , wxSHOW_EFFECT_SLIDE_TO_RIGHT , wxSHOW_EFFECT_SLIDE_TO_TOP , wxSHOW_EFFECT_SLIDE_TO_BOTTOM , wxSHOW_EFFECT_BLEND , wxSHOW_EFFECT_EXPAND , wxSHOW_EFFECT_MAX }
| Valid values for wxWindow::ShowWithEffect() and wxWindow::HideWithEffect(). More...
enum | { wxTOUCH_NONE , wxTOUCH_VERTICAL_PAN_GESTURE , wxTOUCH_HORIZONTAL_PAN_GESTURE , wxTOUCH_PAN_GESTURES , wxTOUCH_ZOOM_GESTURE , wxTOUCH_ROTATE_GESTURE , wxTOUCH_PRESS_GESTURES , wxTOUCH_ALL_GESTURES }
| Values for wxWindow::EnableTouchEvents() mask. More...
enum | { wxSEND_EVENT_POST = 1 }
| flags for SendSizeEvent() More...
enum | wxWindowVariant { wxWINDOW_VARIANT_NORMAL , wxWINDOW_VARIANT_SMALL , wxWINDOW_VARIANT_MINI , wxWINDOW_VARIANT_LARGE , wxWINDOW_VARIANT_MAX }
| Different window variants, on platforms like eg mac uses different rendering sizes. More...

## Functions
wxWindow * | wxFindWindowAtPointer (wxPoint &pt)
| Find the deepest window at the mouse pointer position, returning the window and current pointer position in screen coordinates.
wxWindow * | wxGetActiveWindow ()
| Gets the currently active window (implemented for MSW and GTK only currently, always returns NULL in the other ports).
wxWindow * | wxGetTopLevelParent (wxWindow *window)
| Returns the first top level parent of the given window, or in other words, the frame or dialog containing it, or NULL.
wxString | wxDumpWindow (const wxWindow *window)
| Return a string with human-readable platform-specific description of the window useful for diagnostic purposes.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Values for wxWindow::EnableTouchEvents() mask.

The values other than wxTOUCH_NONE and wxTOUCH_ALL_GESTURES can be combined together to request enabling events for the specified gestures and for them only.

Since
  3.1.1

Enumerator
wxTOUCH_NONE | Don't generate any touch events.
wxTOUCH_VERTICAL_PAN_GESTURE | Generate wxPanGestureEvent for vertical pans. Note that under macOS horizontal pan events are also enabled when this flag is specified.
wxTOUCH_HORIZONTAL_PAN_GESTURE | Generate wxPanGestureEvent for horizontal pans. Note that under macOS vertical pan events are also enabled when this flag is specified.
wxTOUCH_PAN_GESTURES | Generate wxPanGestureEvent for any pans. This is just a convenient combination of wxTOUCH_VERTICAL_PAN_GESTURE and wxTOUCH_HORIZONTAL_PAN_GESTURE.
wxTOUCH_ZOOM_GESTURE | Generate wxZoomGestureEvent.
wxTOUCH_ROTATE_GESTURE | Generate wxRotateGestureEvent.
wxTOUCH_PRESS_GESTURES | Generate events for press or tap gestures such as wxTwoFingerTapEvent, wxLongPressEvent and wxPressAndTapEvent.
wxTOUCH_ALL_GESTURES | Enable all supported gesture events.

## ◆ anonymous enum

anonymous enum

flags for SendSizeEvent()

Enumerator
wxSEND_EVENT_POST |

## ◆ wxShowEffect

enum wxShowEffect

Valid values for wxWindow::ShowWithEffect() and wxWindow::HideWithEffect().

Enumerator
wxSHOW_EFFECT_NONE | No effect, equivalent to normal wxWindow::Show() or Hide() call. Since 2.9.1
wxSHOW_EFFECT_ROLL_TO_LEFT | Roll window to the left.
wxSHOW_EFFECT_ROLL_TO_RIGHT | Roll window to the right.
wxSHOW_EFFECT_ROLL_TO_TOP | Roll window to the top.
wxSHOW_EFFECT_ROLL_TO_BOTTOM | Roll window to the bottom.
wxSHOW_EFFECT_SLIDE_TO_LEFT | Slide window to the left.
wxSHOW_EFFECT_SLIDE_TO_RIGHT | Slide window to the right.
wxSHOW_EFFECT_SLIDE_TO_TOP | Slide window to the top.
wxSHOW_EFFECT_SLIDE_TO_BOTTOM | Slide window to the bottom.
wxSHOW_EFFECT_BLEND | Fade in or out effect.
wxSHOW_EFFECT_EXPAND | Expanding or collapsing effect.
wxSHOW_EFFECT_MAX |

## ◆ wxWindowVariant

enum wxWindowVariant

Different window variants, on platforms like eg mac uses different rendering sizes.

Enumerator
wxWINDOW_VARIANT_NORMAL | Normal size.
wxWINDOW_VARIANT_SMALL | Smaller size (about 25 % smaller than normal).
wxWINDOW_VARIANT_MINI | Mini size (about 33 % smaller than normal).
wxWINDOW_VARIANT_LARGE | Large size (about 25 % larger than normal).
wxWINDOW_VARIANT_MAX |

## Function Documentation

## ◆ wxDumpWindow()

wxString wxDumpWindow | ( | const wxWindow * | window | ) |

Return a string with human-readable platform-specific description of the window useful for diagnostic purposes.

The string returned from this function doesn't have any fixed form and can vary between different wxWidgets ports and versions, but contains some useful description of the window and uniquely identifies it. This can be useful to include in debug or tracing messages.

Parameters

  window | Window pointer which is allowed to be NULL.

Include file:

    #include <wx/window.h>

Since
  3.1.6

## ◆ wxFindWindowAtPointer()

wxWindow * wxFindWindowAtPointer | ( | wxPoint & | pt | ) |

Find the deepest window at the mouse pointer position, returning the window and current pointer position in screen coordinates.

Include file:

    #include <wx/window.h>

## ◆ wxGetActiveWindow()

wxWindow * wxGetActiveWindow | ( |  | ) |

Gets the currently active window (implemented for MSW and GTK only currently, always returns NULL in the other ports).

Include file:

    #include <wx/window.h>

## ◆ wxGetTopLevelParent()

wxWindow * wxGetTopLevelParent | ( | wxWindow * | window | ) |

Returns the first top level parent of the given window, or in other words, the frame or dialog containing it, or NULL.

Notice that if window is itself already a TLW, it is returned directly.

Include file:

    #include <wx/window.h>